<!--
  Copyright (c) 2016 Qualcomm Technologies, Inc.
  All Rights Reserved.
  Confidential and Proprietary - Qualcomm Technologies, Inc.
-->

<!--
CommonChromatixInfo:
	CommonChromatixInfo is the information about chromatix needed for
		various use cases.
	Ex:- Preview, Snapshot, ZSL, HFR, HDR, Video, Liveshot for ISP, CPP,
		3A and SW PostProc.
	Entries in this node are common for all sensor modes.

ResolutionChromatixInfo:
	ResolutionChromatixInfo is the information about chromatix needed for
		various use cases.
	Ex:- Preview, Snapshot, ZSL, HFR, HDR, Video, Liveshot for ISP, CPP,
		3A and SW PostProc.
	Entries in this node are specific to sensor resolution.

ChromatixName:
	Contains the list of chromatix names for all modules.
	special_mode_mask:
		It is the bit mask for special modes, which is used for
			chromatix selection.
		Special modes can be any mode that needs a special chromatix.
		Ex:- scene mode, DZOOM mode, OIS capture mode, flash mode
		This is applicable for CommonChromatixInfo and
			ResolutionChromatixInfo.
		special_mode_mask="0" means none of the special modes are
			selected.
	sensor_resolution_index:
		It is the sensor resolution index for which chromatix libraries
			will be choosen.
		It is applicable only in ResolutionChromatixInfo.

ISPCommon :
	Common tuning library name for ISP
ISPPreview :
	Preview tuning library name for ISP
ISPSnapshot :
	Snapshot tuning library name for ISP
CPPCommon :
	Common tuning library name for CPP
CPPPreview :
	Preview tuning library name for CPP
CPPSnapshot :
	Snapshot tuning library name for CPP
CPPLiveshot :
	Liveshot tuning library name for CPP
PostProc :
	Tuning library name for postproc module
A3Preview :
	Preview tuning library for 3A
A3Video :
	Video tuning library for 3A

Order of Resolution Pick:
	Assume the current sensor mode is "r" and special mode mask is "s".
	Chromatix for a module and type is choosen in this order till we find a
		valid chroamtix file name or else NULL is returned.
	1) From ResolutionChromatixInfo node for which sensor_resolution_index
		is "r" and special_mode_mask is "s".
	2) From CommonChromatixInfo node for which special_mode_mask is "s".
	3) From ResolutionChromatixInfo node for which sensor_resolution_index
		is "r" and special_mode_mask is "0".
	4) From CommonChromatixInfo node for which special_mode_mask is "0".
	5) NULL is returned if we dont find in any of the above cases.

special_mode_mask values:
	SENSOR_SPECIAL_MODE_NONE = 0,
	SENSOR_SPECIAL_MODE_FLASH = 1,
	SENSOR_SPECIAL_MODE_ZOOM_UPSCALE = 2,
	SENSOR_SPECIAL_MODE_ZOOM_DOWNSCALE = 4,
	SENSOR_SPECIAL_MODE_OIS_CAPTURE = 8,
-->

<ChromatixConfigurationRoot>
  <CommonChromatixInfo>
    <ChromatixName special_mode_mask="0">
      <ISPCommon>imx380_primax_res0_common</ISPCommon>
      <PostProc>imx380_primax_postproc</PostProc>
      <CPPPreview>imx380_primax_preview_cpp</CPPPreview>
      <CPPSnapshot>imx380_primax_snapshot_cpp</CPPSnapshot>
      <CPPVideo>imx380_primax_video_cpp</CPPVideo>
      <CPPLiveshot>imx380_primax_video_cpp</CPPLiveshot>
      <ISPPreview>imx380_primax_snapshot_isp</ISPPreview>
      <ISPSnapshot>imx380_primax_snapshot_isp</ISPSnapshot>
      <ISPVideo>imx380_primax_snapshot_isp</ISPVideo>
      <A3Video>imx380_primax_res1_video_3a</A3Video>
      <A3Preview>imx380_primax_res0_preview_3a</A3Preview>
    </ChromatixName>
  </CommonChromatixInfo>
  <ResolutionChromatixInfo>
    <ChromatixName sensor_resolution_index="0" special_mode_mask="0">
      <A3Preview>imx380_primax_res0_preview_3a</A3Preview>
      <CPPMultiframe>imx380_primax_res0_snapshot_multiframe_cpp</CPPMultiframe>
      <CPPOISMultiframe>imx380_primax_res0_snapshot_oismultiframe_cpp</CPPOISMultiframe>
      <ISPPreview>imx380_primax_snapshot_isp</ISPPreview>
      <ISPSnapshot>imx380_primax_snapshot_isp</ISPSnapshot>
      <ISPVideo>imx380_primax_snapshot_isp</ISPVideo>
    </ChromatixName>
    <ChromatixName sensor_resolution_index="0" special_mode_mask="SCENE_MANUAL_EXPOSURE|">
      <ISPPreview>imx380_primax_res0_snapshot_manual_isp</ISPPreview>
      <ISPSnapshot>imx380_primax_res0_snapshot_manual_isp</ISPSnapshot>
      <ISPVideo>imx380_primax_res0_snapshot_manual_isp</ISPVideo>
    </ChromatixName>
    <ChromatixName sensor_resolution_index="1" special_mode_mask="0">
       <ISPCommon>imx380_primax_res1_common</ISPCommon>
       <ISPPreview>imx380_primax_video_isp</ISPPreview>
      <ISPSnapshot>imx380_primax_video_isp</ISPSnapshot>
      <ISPVideo>imx380_primax_video_isp</ISPVideo>
      <A3Preview>imx380_primax_res1_video_3a</A3Preview>
      <A3Video>imx380_primax_res1_video_3a</A3Video>
      <CPPPreview>imx380_primax_video_cpp</CPPPreview>
      <CPPSnapshot>imx380_primax_video_cpp</CPPSnapshot>
      <CPPVideo>imx380_primax_video_cpp</CPPVideo>
      <CPPLiveshot>imx380_primax_video_cpp</CPPLiveshot>
    </ChromatixName>
    <ChromatixName sensor_resolution_index="2" special_mode_mask="0">
      <A3Preview>imx380_primax_res2_preview_3a</A3Preview>
      <CPPPreview>imx380_primax_res2_preview_cpp</CPPPreview>
      <CPPSnapshot>imx380_primax_res2_preview_cpp</CPPSnapshot>
      <CPPVideo>imx380_primax_res2_preview_cpp</CPPVideo>
    </ChromatixName>
    <ChromatixName sensor_resolution_index="2" special_mode_mask="SCENE_MANUAL_EXPOSURE|">
      <A3Preview>imx380_primax_res2_preview_3a</A3Preview>
      <ISPPreview>imx380_primax_res0_snapshot_manual_isp</ISPPreview>
      <ISPSnapshot>imx380_primax_res0_snapshot_manual_isp</ISPSnapshot>
      <ISPVideo>imx380_primax_res0_snapshot_manual_isp</ISPVideo>
    </ChromatixName>
    <ChromatixName sensor_resolution_index="3" special_mode_mask="0">
      <ISPCommon>imx380_primax_res3_common</ISPCommon>
      <CPPPreview>imx380_primax_res3_video_cpp</CPPPreview>
      <CPPSnapshot>imx380_primax_res3_video_cpp</CPPSnapshot>
      <CPPVideo>imx380_primax_res3_video_cpp</CPPVideo>
      <A3Preview>imx380_primax_res3_video_3a</A3Preview>
      <A3Video>imx380_primax_res3_video_3a</A3Video>
    </ChromatixName>
    <ChromatixName sensor_resolution_index="4" special_mode_mask="SCENE_BOKEH_MODE|">
      <ISPCommon>imx380_primax_res4_common</ISPCommon>
      <CPPPreview>imx380_primax_res4_preview_bokeh_cpp</CPPPreview>
      <CPPSnapshot>imx380_primax_res4_snapshot_bokeh_cpp</CPPSnapshot>
      <A3Preview>imx380_primax_res4_preview_bokeh_3a</A3Preview>
    </ChromatixName>
  </ResolutionChromatixInfo>
</ChromatixConfigurationRoot>
